GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "3a41b069-d2f4-4040-b2e3-816549faa031",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "6fb9510b-67f8-4773-a7f1-ea362d3f3f23",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "38a53969-2a70-4f8e-9484-5b43babd7b6b",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "8839c637-fb9c-4af1-8990-f44fd9aef2eb",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "4684f60f-d0cc-4e7b-9f6f-212faae7bcf7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "7fe3efd0-6b0f-4435-976a-64986bbd7622",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "789ad7fc-708b-4387-a25c-311278ca1d20",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-02T14:23:13.7769271-08:00",
"MeasurementValueNeededDate": "2026-11-02T14:23:13.7769271-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "a07ac83e-c32f-4653-84df-09b0000aee05",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-02T14:23:13.7769271-08:00",
"MeasurementValueNeededDate": "2026-11-02T14:23:13.7769271-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "f604792a-78c6-488e-9490-c7907cfa0eaf",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-02T14:23:13.7769271-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "91b5d04e-c628-499c-a399-16bcbf1ad170",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "3a41b069-d2f4-4040-b2e3-816549faa031",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "6fb9510b-67f8-4773-a7f1-ea362d3f3f23",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "38a53969-2a70-4f8e-9484-5b43babd7b6b",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "8839c637-fb9c-4af1-8990-f44fd9aef2eb",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "4684f60f-d0cc-4e7b-9f6f-212faae7bcf7",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "7fe3efd0-6b0f-4435-976a-64986bbd7622",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "789ad7fc-708b-4387-a25c-311278ca1d20",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-02T14:23:13.7769271-08:00",
"MeasurementValueNeededDate": "2026-11-02T14:23:13.7769271-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "a07ac83e-c32f-4653-84df-09b0000aee05",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-02T14:23:13.7769271-08:00",
"MeasurementValueNeededDate": "2026-11-02T14:23:13.7769271-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "f604792a-78c6-488e-9490-c7907cfa0eaf",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-02T14:23:13.7769271-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "91b5d04e-c628-499c-a399-16bcbf1ad170",
"CreateDate": "2026-11-02T14:23:13.7769271-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-02T14:23:13.7769271-08:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}